com.smartgwt.client.widgets.calendar

## Class Lane

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.calendar.Lane

-     public class Lane
      extends RefDataClass

  Lane shown in a `Timeline` view. Each lane is a row that can contain a set of `CalendarEvent`s. CalendarEvents are placed in lanes by matching the `name` property to the value of the `laneNameField` property on the CalendarEvent.

  Lanes are typically used to show tasks assigned to different people, broadcasts planned for different channels, and similar displays.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lane()`
    `Lane(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `Lane(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHeight()` The height of this Lane's row.
    `java.lang.String` | `getName()` To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `laneNameField` property on the CalendarEvent.
    `static Lane` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getTitle()` Title to show for this lane.
    `void` | `setHeight(java.lang.Integer height)` The height of this Lane's row.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setName(java.lang.String name)` To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `laneNameField` property on the CalendarEvent.
    `void` | `setTitle(java.lang.String title)` Title to show for this lane.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lane

          public Lane()

    - #### Lane

          public Lane(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### Lane

          public Lane(java.lang.String name,
              java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static Lane getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      The height of this Lane's row.
      Parameters:
        `height` - height Default value is null

    - #### getHeight

          public java.lang.Integer getHeight()

      The height of this Lane's row.
      Returns:
        Integer

    - #### setName

          public void setName(java.lang.String name)

      To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `laneNameField` property on the CalendarEvent.
      Parameters:
        `name` - . See `String`. Default value is null

    - #### getName

          public java.lang.String getName()

      To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `laneNameField` property on the CalendarEvent.
      Returns:
        . See `String`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Title to show for this lane.
      Parameters:
        `title` - . See `HTMLString`. Default value is null

    - #### getTitle

          public java.lang.String getTitle()

      Title to show for this lane.
      Returns:
        . See `HTMLString`